Browse Source

Use the Debian firmware package instead of the Intel-specific ones

The intel-*.nix modules are obsolete (since you can just say
‘hardware.enableAllFirmware = true’, or equivalently,
‘hardware.firmware = [ pkgs.firmwareLinuxNonfree ]’).  But we'll keep
them around for compatibility.
nsd-state-dir
Eelco Dolstra 9 years ago
parent
commit
fc2fc63f4c
  1. 4
      modules/hardware/network/intel-2030.nix
  2. 10
      modules/hardware/network/intel-2100bg.nix
  3. 10
      modules/hardware/network/intel-2200bg.nix
  4. 4
      modules/hardware/network/intel-3945abg.nix
  5. 4
      modules/hardware/network/intel-4965agn.nix
  6. 4
      modules/hardware/network/intel-5000.nix
  7. 4
      modules/hardware/network/intel-5150.nix
  8. 4
      modules/hardware/network/intel-6000.nix
  9. 4
      modules/hardware/network/intel-6000g2a.nix
  10. 4
      modules/hardware/network/intel-6000g2b.nix

4
modules/hardware/network/intel-2030.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi2030ucode ];
hardware.enableAllFirmware = true;
}

10
modules/hardware/network/intel-2100bg.nix

@ -1,4 +1,4 @@
{pkgs, config, ...}:
{ config, pkgs, ... }:
{
@ -12,9 +12,7 @@
description = ''
Turn on this option if you want firmware for the Intel
PRO/Wireless 2100BG to be loaded automatically. This is
required if you want to use this device. Intel requires you to
accept the license for this firmware, see
<link xlink:href='http://ipw2100.sourceforge.net/firmware.php?fid=2'/>.
required if you want to use this device.
'';
};
@ -25,9 +23,7 @@
config = pkgs.lib.mkIf config.networking.enableIntel2100BGFirmware {
# Warning: setting this option requires acceptance of the firmware
# license, see http://ipw2100.sourceforge.net/firmware.php?fid=2.
hardware.firmware = [ pkgs.ipw2100fw ];
hardware.enableAllFirmware = true;
};

10
modules/hardware/network/intel-2200bg.nix

@ -1,4 +1,4 @@
{pkgs, config, ...}:
{ config, pkgs, ... }:
{
@ -12,9 +12,7 @@
description = ''
Turn on this option if you want firmware for the Intel
PRO/Wireless 2200BG to be loaded automatically. This is
required if you want to use this device. Intel requires you to
accept the license for this firmware, see
<link xlink:href='http://ipw2200.sourceforge.net/firmware.php?fid=7'/>.
required if you want to use this device.
'';
};
@ -25,9 +23,7 @@
config = pkgs.lib.mkIf config.networking.enableIntel2200BGFirmware {
# Warning: setting this option requires acceptance of the firmware
# license, see http://ipw2200.sourceforge.net/firmware.php?fid=7.
hardware.firmware = [ pkgs.ipw2200fw ];
hardware.enableAllFirmware = true;
};

4
modules/hardware/network/intel-3945abg.nix

@ -1,4 +1,4 @@
{pkgs, config, ...}:
{ config, pkgs, ... }:
{
@ -22,7 +22,7 @@
config = pkgs.lib.mkIf config.networking.enableIntel3945ABGFirmware {
hardware.firmware = [ pkgs.iwlwifi3945ucode ];
hardware.enableAllFirmware = true;
};

4
modules/hardware/network/intel-4965agn.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ config.boot.kernelPackages.iwlwifi4965ucode ];
hardware.enableAllFirmware = true;
}

4
modules/hardware/network/intel-5000.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi5000ucode ];
hardware.enableAllFirmware = true;
}

4
modules/hardware/network/intel-5150.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi5150ucode ];
hardware.enableAllFirmware = true;
}

4
modules/hardware/network/intel-6000.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi6000ucode ];
hardware.enableAllFirmware = true;
}

4
modules/hardware/network/intel-6000g2a.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi6000g2aucode ];
hardware.enableAllFirmware = true;
}

4
modules/hardware/network/intel-6000g2b.nix

@ -1,5 +1,3 @@
{pkgs, config, ...}:
{
hardware.firmware = [ pkgs.iwlwifi6000g2bucode ];
hardware.enableAllFirmware = true;
}
Loading…
Cancel
Save